Skip to main content
GET
/
stores
/
{storeId}
/
products
List products
curl --request GET \
  --url https://api.pandabase.io/v2/storefront/stores/{storeId}/products
{
  "ok": true,
  "data": {
    "items": [
      {
        "id": "<string>",
        "title": "<string>",
        "handle": "<string>",
        "price": 123,
        "images": [
          "<string>"
        ],
        "inStock": true,
        "currency": "<string>",
        "productType": "SERIAL",
        "pricingModel": "STANDARD",
        "status": "ACTIVE",
        "categories": [
          {
            "id": "<string>",
            "name": "<string>",
            "slug": "<string>"
          }
        ],
        "subtitle": "<string>",
        "compareAtPrice": 123,
        "minimumPrice": 123
      }
    ],
    "pagination": {
      "page": 123,
      "limit": 123,
      "total": 123,
      "totalPages": 123
    }
  }
}

Path Parameters

storeId
string
required

Store ID (shp_ prefix)

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:25

Items per page

Required range: 1 <= x <= 100

Full-text search on product title

categoryId
string

Filter by category ID

productType
enum<string>

Filter by product type

Available options:
SERIAL,
SERVICE,
ONE_TIME,
PHYSICAL,
SUBSCRIPTION,
DIGITAL_DOWNLOAD,
LICENSE_KEY
pricingModel
enum<string>

Filter by pricing model

Available options:
STANDARD,
PAY_WHAT_YOU_WANT,
FREE
sortBy
enum<string>
default:createdAt

Sort field

Available options:
title,
price,
createdAt
sortOrder
enum<string>
default:desc

Sort direction

Available options:
asc,
desc

Response

Paginated list of products

ok
boolean
required
data
object
required